| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ChannelInterfacePasswordInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< uint > GetPasswordFlags (int timeout=-1)
- QDBusPendingReply< bool > ProvidePassword (const QString &password, int timeout=-1)

## Signals

- void PasswordFlagsChanged (uint added, uint removed)

## Public Member Functions

- ChannelInterfacePasswordInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfacePasswordInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfacePasswordInterface (Tp::DBusProxy *proxy)
- ChannelInterfacePasswordInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfacePasswordInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Password".

## Constructor & Destructor Documentation

Tp::Client::ChannelInterfacePasswordInterface::ChannelInterfacePasswordInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfacePasswordInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfacePasswordInterface::ChannelInterfacePasswordInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfacePasswordInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfacePasswordInterface::ChannelInterfacePasswordInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfacePasswordInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelInterfacePasswordInterface::ChannelInterfacePasswordInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfacePasswordInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ChannelInterfacePasswordInterface::ChannelInterfacePasswordInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelInterfacePasswordInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelInterfacePasswordInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.Password", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ChannelInterfacePasswordInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<uint> Tp::Client::ChannelInterfacePasswordInterface::GetPasswordFlags | ( | int | timeout = `-1` | ) | `[inline, slot]`

Begins a call to the D-Bus method `GetPasswordFlags` on the remote object.

Returns the bitwise-OR of the flags relevant to the password on this channel. The user interface can use this to present information about which operations are currently valid.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

Returns:

An integer with the logical OR of all the flags set (values of ChannelPasswordFlags)

QDBusPendingReply<bool> Tp::Client::ChannelInterfacePasswordInterface::ProvidePassword | ( | const QString & | password,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `ProvidePassword` on the remote object.

Provide the password so that the channel can be joined. Must be called with the correct password in order for channel joining to proceed if the 'provide' password flag is set.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  password | The password
  timeout | The timeout in milliseconds.

Returns:

A boolean indicating whether or not the password was correct

void Tp::Client::ChannelInterfacePasswordInterface::PasswordFlagsChanged | ( | uint | added,
|  | uint | removed
| ) |  | `[signal]`

Represents the signal `PasswordFlagsChanged` on the remote object.

Emitted when the flags as returned by GetPasswordFlags are changed. The user interface should be updated as appropriate.

Parameters:

  added | A bitwise OR of the flags which have been set
  removed | A bitwise OR of the flags which have been cleared

void Tp::Client::ChannelInterfacePasswordInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.